libximc: engine_settings_t Struct Reference

libximc 3.0.2

Data Fields
engine_settings_t Struct Reference

Movement limitations and settings related to the motor. More...

`#include <ximc.h>`

## Data Fields
unsigned int | NomVoltage
| Rated voltage in tens of mV.
unsigned int | NomCurrent
| Rated current (in mA).
unsigned int | NomSpeed
| Nominal (maximum) speed (in whole steps/s or rpm for DC and stepper motor as a master encoder).
unsigned int | uNomSpeed
| The fractional part of a nominal speed in microsteps (is only used with stepper motor).
unsigned int | EngineFlags
| Flags of engine settings.
int | Antiplay
| Number of pulses or steps for backlash (play) compensation procedure.
unsigned int | MicrostepMode
| Flags of microstep mode.
unsigned int | StepsPerRev
| Number of full steps per revolution (Used with stepper motor only).

## Detailed Description

Movement limitations and settings related to the motor.

This structure contains useful motor settings. These settings specify the motor shaft movement algorithm, list of limitations and rated characteristics. All boards are supplied with the standard set of engine settings on the controller's flash memory. Please load new engine settings when you change the motor, encoder, positioner, etc. Please note that wrong engine settings may lead to device malfunction, which can lead to irreversible damage to the board.

See also
  set_engine_settings
  get_engine_settings
  get_engine_settings, set_engine_settings

## Field Documentation

## ◆ Antiplay

int Antiplay

Number of pulses or steps for backlash (play) compensation procedure.

Used if ENGINE_ANTIPLAY flag is set.

## ◆ EngineFlags

unsigned int EngineFlags

Flags of engine settings.

## ◆ MicrostepMode

unsigned int MicrostepMode

Flags of microstep mode.

## ◆ NomCurrent

unsigned int NomCurrent

Rated current (in mA).

Controller will keep current consumed by motor below this value if ENGINE_LIMIT_CURR flag is set. Range: 15..8000

## ◆ NomSpeed

unsigned int NomSpeed

Nominal (maximum) speed (in whole steps/s or rpm for DC and stepper motor as a master encoder).

Controller will keep motor shaft RPM below this value if ENGINE_LIMIT_RPM flag is set. Range: 1..100000.

## ◆ NomVoltage

unsigned int NomVoltage

Rated voltage in tens of mV.

Controller will keep the voltage drop on motor below this value if ENGINE_LIMIT_VOLT flag is set (used with DC only).

## ◆ StepsPerRev

unsigned int StepsPerRev

Number of full steps per revolution (Used with stepper motor only).

Range: 1..65535.

## ◆ uNomSpeed

unsigned int uNomSpeed

The fractional part of a nominal speed in microsteps (is only used with stepper motor).

Microstep size and the range of valid values for this field depend on selected step division mode (see MicrostepMode field in engine_settings).